@import "~swiper/swiper";
@import "~swiper/components/navigation/navigation";
@import "~swiper/components/pagination/pagination";
@import "../../../../../styles/global/var";

zeb-simple-slider {
    display: block;
}
.zeb-simple-slider {
    width: 100%;
    height: 100%;

    .swiper-slide {
        display: flex;
        justify-content: center;
        align-items: center;

        img {
            display: block;
            width: 100%;
            height: 100%;
            object-fit: contain;
        }
    }

    .swiper-pagination-bullet {
        opacity: 1;
        background-color: $gray8be;
        &-active {
            background-color: $turquoise69a;
        }
        &:hover:not(.swiper-pagination-bullet-active) {
            background-color: $black;
        }
    }

    .swiper-pagination-fraction,
    .swiper-pagination-custom,
    .swiper-container-horizontal > .swiper-pagination-bullets {
        bottom: 16px;
    }

    &__btn {
        position: absolute;
        top: 50%;
        width: 24px;
        height: 24px;
        z-index: 10;
        cursor: pointer;
        color: $gray8be;

        &:hover:not(._disabled) {
            color: $black;
        }

        &._disabled {
            opacity: 0.35;
            cursor: auto;
            pointer-events: none;
        }

        &._prev,
        .swiper-container-rtl &._next {
            left: 16px;
            right: auto;
        }
        &._next,
        .swiper-container-rtl &._prev {
            right: 16px;
            left: auto;
        }
    }
}
